Class TextQuerySearcher
java.lang.Object
com.atlassian.jira.issue.search.searchers.impl.TextQuerySearcher
- All Implemented Interfaces:
IssueSearcher<SearchableField>
Searcher for the multi-field text search input introduced 2012 as a gradual replacement for the orignal QuerySearcher.
This maps to the LHS of JQL query "text ~ foo" and it searches for multiple fields.
- Since:
- v5.2
-
Field Summary
Fields inherited from interface com.atlassian.jira.issue.search.searchers.IssueSearcher
log -
Constructor Summary
ConstructorsConstructorDescriptionTextQuerySearcher(JqlOperandResolver operandResolver, VelocityRequestContextFactory velocityRequestContextFactory, ApplicationProperties applicationProperties, VelocityTemplatingEngine templatingEngine) -
Method Summary
Modifier and TypeMethodDescriptionProvides an object that contains information about the Searcher.Provides an object that will allow you to transform raw request parameters to field holder values and field holder values toClausesearch representations.Provides an object that will allow you to render the edit and view html for a searcher.voidinit(SearchableField field) Initialises the searcher with a given field.
-
Constructor Details
-
TextQuerySearcher
public TextQuerySearcher(JqlOperandResolver operandResolver, VelocityRequestContextFactory velocityRequestContextFactory, ApplicationProperties applicationProperties, VelocityTemplatingEngine templatingEngine)
-
-
Method Details
-
init
Description copied from interface:IssueSearcherInitialises the searcher with a given field.- Specified by:
initin interfaceIssueSearcher<SearchableField>- Parameters:
field- the field object. This may be null. (So you can have searchers on non-fields)
-
getSearchInformation
Description copied from interface:IssueSearcherProvides an object that contains information about the Searcher.- Specified by:
getSearchInformationin interfaceIssueSearcher<SearchableField>- Returns:
- the search information provider for this searcher.
-
getSearchInputTransformer
Description copied from interface:IssueSearcherProvides an object that will allow you to transform raw request parameters to field holder values and field holder values toClausesearch representations.- Specified by:
getSearchInputTransformerin interfaceIssueSearcher<SearchableField>- Returns:
- the search input handler for this searcher.
-
getSearchRenderer
Description copied from interface:IssueSearcherProvides an object that will allow you to render the edit and view html for a searcher. This also provides methods that indicate if the view and edit methods should be invoked.- Specified by:
getSearchRendererin interfaceIssueSearcher<SearchableField>- Returns:
- the search renderer for this searcher.
-